#!/usr/bin/php
<?php
require_once ("/var/www/html/modules/ccpro_agent_console/libs/ECCP.class.php");

if (count($argv) < 4) die("Use: {$argv[0]} agentchannel agentpassword campaign_id [skipped offset limit]\n");
$agentname = $argv[1];
$agentpass = $argv[2];

$x = new ECCP();
try {
    print "Connect...\n";
	$cr = $x->connect("localhost", "agentconsole", "agentconsole");
	if (isset($cr->failure)) die('Failed to connect to ECCP - '.$cr->failure->message."\n");
	$x->setAgentNumber($agentname);
	$x->setAgentPass($agentpass);
    $campaign       = (count($argv) > 3 && trim($argv[3]) != '') ? trim($argv[3]) : NULL;
    $skipped        = (count($argv) > 4 && trim($argv[4]) != '') ? trim($argv[4]) : NULL;
    $offset         = (count($argv) > 5 && trim($argv[5]) != '') ? trim($argv[5]) : NULL;
    $limit          = (count($argv) > 6 && trim($argv[6]) != '') ? trim($argv[6]) : NULL;

    print "Campaign ID:     ".(is_null($campaign) ? '(any)' : $campaign)."\n";
    print "Skipped:         ".(is_null($skipped) ? '(any)' : $skipped)."\n";
    print "Offset:          ".(is_null($offset) ? '(not set)' : $offset)."\n";
    print "Limit:           ".(is_null($limit) ? '(not set)' : $limit)."\n";

    print_r($x->getmanualdialingcontactlist(
        $campaign,
        $skipped,
        $offset,
        $limit
        ));
    print "Disconnect...\n";
    $x->disconnect();
} catch (Exception $e) {
    print_r($e);
    print_r($x->getParseError());
}
?>
