#!/usr/bin/php
<?php
require_once ("/var/www/html/modules/ccpro_agent_console/libs/ECCP.class.php");

if (count($argv) < 3) die("Use: {$argv[0]} agentchannel agentpassword [status filtername datetime_start datetime_end offset limit]\n");
$agentname = $argv[1];
$agentpass = $argv[2];

$x = new ECCP();
try {
    print "Connect...\n";
	$cr = $x->connect("localhost", "agentconsole", "agentconsole");
	if (isset($cr->failure)) die('Failed to connect to ECCP - '.$cr->failure->message."\n");
	$x->setAgentNumber($agentname);
	$x->setAgentPass($agentpass);
	
    $status         = (count($argv) > 3 && trim($argv[3]) != '') ? trim($argv[3]) : NULL;
    $filtername     = (count($argv) > 4 && trim($argv[4]) != '') ? trim($argv[4]) : NULL;
    $datetime_start = (count($argv) > 5 && trim($argv[5]) != '') ? trim($argv[5]) : NULL;
    $datetime_end   = (count($argv) > 6 && trim($argv[6]) != '') ? trim($argv[6]) : NULL;
    $offset         = (count($argv) > 7 && trim($argv[7]) != '') ? trim($argv[7]) : NULL;
    $limit          = (count($argv) > 8 && trim($argv[8]) != '') ? trim($argv[8]) : NULL;

    print "Status:          ".(is_null($status) ? '(any)' : $status)."\n";
    print "Name containing: ".(is_null($filtername) ? '(any)' : $filtername)."\n";
    print "Start date:      ".(is_null($datetime_start) ? '(any)' : $datetime_start)."\n";
    print "End date:        ".(is_null($datetime_end) ? '(any)' : $datetime_end)."\n";
    print "Offset:          ".(is_null($offset) ? '(not set)' : $offset)."\n";
    print "Limit:           ".(is_null($limit) ? '(not set)' : $limit)."\n";
    
    print_r($x->getmanualdialingcampaignlist(
        $status,
        $filtername,
        $datetime_start,
        $datetime_end,
        $offset,
        $limit
        ));
    print "Disconnect...\n";
    $x->disconnect();
} catch (Exception $e) {
    print_r($e);
    print_r($x->getParseError());
}
?>
