#!/usr/bin/php
<?php
require_once ("/var/www/html/modules/ccpro_agent_console/libs/ECCP.class.php");

if (count($argv) < 5) die("Use: {$argv[0]} agentchannel agentpassword campaign_id contact_id\n");
$agentname = $argv[1];
$agentpass = $argv[2];

$x = new ECCP();
try {
    print "Connect...\n";
	$cr = $x->connect("localhost", "agentconsole", "agentconsole");
	if (isset($cr->failure)) die('Failed to connect to ECCP - '.$cr->failure->message."\n");
	$x->setAgentNumber($agentname);
	$x->setAgentPass($agentpass);
    $campaign       = trim($argv[3]);
    $contact        = trim($argv[4]);

    print "Campaign ID:     $campaign\n";
    print "Contact ID:      $contact\n";
    
    print_r($x->getmanualdialingcontactinfo(
        $campaign,
        $contact
        ));
    print "Disconnect...\n";
    $x->disconnect();
} catch (Exception $e) {
    print_r($e);
    print_r($x->getParseError());
}
?>
